Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class Pdh

    java.lang.Object
      org.hyperic.sigar.win32.Win32
          org.hyperic.sigar.win32.Pdh

    public class Pdh

extends Win32

Field Summary
`static int` | `BAD_COUNTERNAME` Unable to parse the counter path.
`static int` | `NO_COUNTER` The specified counter could not be found.
`static int` | `NO_INSTANCE` The specified instance is not present.
`static int` | `NO_MACHINE` Unable to connect to specified machine or machine is off line.
`static int` | `NO_OBJECT` The specified object is not found on the system.
`static long` | `PERF_TYPE_COUNTER`
`static long` | `PERF_TYPE_NUMBER`
`static long` | `PERF_TYPE_TEXT`
`static long` | `PERF_TYPE_ZERO`
`static java.lang.String` | `PERFLIB_KEY`
`static int` | `VALID_DATA` The returned data is valid.

Fields inherited from class org.hyperic.sigar.win32.Win32
`EXE_EXT`

Constructor Summary
`Pdh()`
`Pdh(java.lang.String hostName)`

Method Summary
`void` | `close()`
`static void` | `enableTranslation()`
`protected void` | `finalize()`
`static java.lang.String` | `getCounterName(int index)`
`long` | `getCounterType(java.lang.String path)`
`java.lang.String` | `getDescription(java.lang.String path)`
`static java.util.Map` | `getEnglishPerflibCounterMap()`
`double` | `getFormattedValue(java.lang.String path)`
`static java.lang.String[]` | `getInstances(java.lang.String path)`
`static java.lang.String[]` | `getKeys(java.lang.String path)`
`static java.lang.String[]` | `getObjects()`
`static java.util.Map` | `getPerflibCounterMap(LocaleInfo locale)`
`double` | `getRawValue(java.lang.String path)`
`double` | `getSingleValue(java.lang.String path)` Deprecated.
`static void` | `main(java.lang.String[] args)` Main method for dumping the entire PDH Usage: Pdh [OPTION] Show information from the Windows PDH -v, --values include key values [default=no] --object=NAME only print info on this object --contains=NAME only print info on objects that contain this substring -i, --instance show instances [default=no] -k, --keys show keys [default=no] -h, --help display help and exit
`static java.lang.String` | `translate(java.lang.String path)`
`static int` | `validate(java.lang.String path)`

Methods inherited from class org.hyperic.sigar.win32.Win32
`findExecutable, findScriptExecutable, getFileVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALID_DATA

    public static final int VALID_DATA

  The returned data is valid.

  See Also:
    Constant Field Values

### NO_INSTANCE

    public static final int NO_INSTANCE

  The specified instance is not present.

  See Also:
    Constant Field Values

### NO_COUNTER

    public static final int NO_COUNTER

  The specified counter could not be found.

  See Also:
    Constant Field Values

### NO_OBJECT

    public static final int NO_OBJECT

  The specified object is not found on the system.

  See Also:
    Constant Field Values

### NO_MACHINE

    public static final int NO_MACHINE

  Unable to connect to specified machine or machine is off line.

  See Also:
    Constant Field Values

### BAD_COUNTERNAME

    public static final int BAD_COUNTERNAME

  Unable to parse the counter path.

  See Also:
    Constant Field Values

### PERFLIB_KEY

    public static final java.lang.String PERFLIB_KEY

See Also:
  Constant Field Values

### PERF_TYPE_NUMBER

    public static final long PERF_TYPE_NUMBER

See Also:
  Constant Field Values

### PERF_TYPE_COUNTER

    public static final long PERF_TYPE_COUNTER

See Also:
  Constant Field Values

### PERF_TYPE_TEXT

    public static final long PERF_TYPE_TEXT

See Also:
  Constant Field Values

### PERF_TYPE_ZERO

    public static final long PERF_TYPE_ZERO

See Also:
  Constant Field Values

Constructor Detail

### Pdh

    public Pdh()
        throws Win32Exception

Throws:
  `Win32Exception`

### Pdh

    public Pdh(java.lang.String hostName)
        throws Win32Exception

Throws:
  `Win32Exception`

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### close

    public void close()
               throws Win32Exception

  Throws:
    `Win32Exception`

### enableTranslation

    public static void enableTranslation()
                                  throws Win32Exception

  Throws:
    `Win32Exception`

### getEnglishPerflibCounterMap

    public static java.util.Map getEnglishPerflibCounterMap()
                                                     throws Win32Exception

  Throws:
    `Win32Exception`

### getPerflibCounterMap

    public static java.util.Map getPerflibCounterMap(LocaleInfo locale)
                                              throws Win32Exception

  Throws:
    `Win32Exception`

### getCounterName

    public static java.lang.String getCounterName(int index)
                                           throws Win32Exception

  Throws:
    `Win32Exception`

### getSingleValue

    public double getSingleValue(java.lang.String path)
                          throws Win32Exception

  Deprecated.

  Throws:
    `Win32Exception`
  See Also:
    `getRawValue(String path)`

### getRawValue

    public double getRawValue(java.lang.String path)
                       throws Win32Exception

  Throws:
    `Win32Exception`

### getFormattedValue

    public double getFormattedValue(java.lang.String path)
                             throws Win32Exception

  Throws:
    `Win32Exception`

### translate

    public static java.lang.String translate(java.lang.String path)
                                      throws Win32Exception

  Throws:
    `Win32Exception`

### getDescription

    public java.lang.String getDescription(java.lang.String path)
                                    throws Win32Exception

  Throws:
    `Win32Exception`

### getCounterType

    public long getCounterType(java.lang.String path)
                        throws Win32Exception

  Throws:
    `Win32Exception`

### getInstances

    public static java.lang.String[] getInstances(java.lang.String path)
                                           throws Win32Exception

  Throws:
    `Win32Exception`

### getKeys

    public static java.lang.String[] getKeys(java.lang.String path)
                                      throws Win32Exception

  Throws:
    `Win32Exception`

### getObjects

    public static java.lang.String[] getObjects()
                                         throws Win32Exception

  Throws:
    `Win32Exception`

### validate

    public static final int validate(java.lang.String path)

### main

    public static void main(java.lang.String[] args)

  Main method for dumping the entire PDH Usage: Pdh [OPTION] Show information from the Windows PDH -v, --values include key values [default=no] --object=NAME only print info on this object --contains=NAME only print info on objects that contain this substring -i, --instance show instances [default=no] -k, --keys show keys [default=no] -h, --help display help and exit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.